# Android Framework


## About

The Android Framework is designed to provide developers with a foundation for building full screen applications
that take advantage of hardware acceleration and Android's SurfaceView class. The framework uses a three-level
hierarchy system for organizing and displaying images and shapes.


## Features

* [Hierarchy system](http://i.imgur.com/xdaGyrB.png) that uses referenced resources to efficiently draw images and shapes to a display.
* Add/remove parenting system that simplifies removing and adding elements to the display.
* Image manipulation features (that work with animations) - Pivot position, rotation, and scaling.
* Frame-based timesteps for updating application logic and display.
* Elegant single-class development - Classes that extend Screen contain overrides for single-touch input and update calls in addition to their display rendering capabilities.
* Streamlined classes for loading and playing sound effect and music, loading and saving local data, and loading image resources to display throughout the application's runtime.
* Ability to generate animation from spritesheets and control their playback.


## Guide: Display a moving image on an android device in five steps.

1. Properly configure Eclipse with the Android SDK.
2. Git the entire Android Framework project and open the project in eclipse.
3. Open the Example class (screens/Example.java). By default this class contains an Image that references a resource (movingImage).
4. Clear the contents from the update function (or note the modifications applied to movingImage and skip this step) and then add
the line: movingImage.setPosition(movingImage.position.x + 1, movingImage.position.y);
5. Run the project on a connected android device.