package com.gamepatriot.androidframework.framework;


/**
 * An AndroidAnimationData implementation should organize and construct information about sequential frame references based on a spritesheet (A single image that contains a series of animation frames or tiles).
 * 
 * @author Pete Schmitz, May 8, 2013
 *
 */
public interface AndroidAnimationData {
	
	/** 
	 * Set animation information and build frame positions.
	 * 
	 * @param $width			Total width of the bitmap/spritesheet.
	 * @param $height			Total height of the bitmap/spritesheet.
	 * @param $columns			Number of column cells contained within the bitmap/spritesheet.
	 * @param $rows				Number of row cells contained within the bitmap/spritesheet.
	**/
	public void set(int $width, int $height, int $columns, int $rows);
	
}
