package com.gamepatriot.androidframework.framework;

/**
 * An AndroidRenderer implementation should handle all frame-based actions. Most importantly, it should handle the draw calls to a buffer that will display visual objects 
 * within {@link AndroidScreen}s that are currently contained in the primary {@link AndroidMain}'s implementation.
 * 
 * @author Pete Schmitz, May 9, 2013
 *
 */
public interface AndroidRenderer {
	
	/** Halt the renderer from actively redrawing. */
	public void pause();
	
	/** Allow the renderer to continue redrawing if it had previously been stopped. **/
	public void resume();
	
	/**
	 * Set an {@link AndroidInputter} that registers events throughout {@link AndroidMain}'s contained {@link AndroidScreen}s.
	 * @param $inputter		The supplied AndroidInputter to assign to this renderer.
	 */
	public void setInputter(AndroidInputter $inputter);
	
}
